net.sf.jasperreports.engine.util

## Class JEditorPaneHtmlMarkupProcessor

- java.lang.Object
- - net.sf.jasperreports.engine.util.JEditorPaneMarkupProcessor
  - - net.sf.jasperreports.engine.util.JEditorPaneHtmlMarkupProcessor

- All Implemented Interfaces:
    MarkupProcessor

      public class JEditorPaneHtmlMarkupProcessor
      extends JEditorPaneMarkupProcessor

  Version:
    $Id: JEditorPaneHtmlMarkupProcessor.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.util.JEditorPaneMarkupProcessor

      `JEditorPaneMarkupProcessor.HtmlFactory, JEditorPaneMarkupProcessor.RtfFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JEditorPaneHtmlMarkupProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addElements(java.util.List<javax.swing.text.Element> elements, javax.swing.text.Element element)`
    `java.lang.String` | `convert(java.lang.String srcText)`
    `protected java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object>` | `getAttributes(javax.swing.text.AttributeSet attrSet)`
    `static JEditorPaneHtmlMarkupProcessor` | `getInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JEditorPaneHtmlMarkupProcessor

          public JEditorPaneHtmlMarkupProcessor()

  - ### Method Detail

    - #### getInstance

          public static JEditorPaneHtmlMarkupProcessor getInstance()

    - #### convert

          public java.lang.String convert(java.lang.String srcText)

      Specified by:
        `convert` in interface `MarkupProcessor`
      Specified by:
        `convert` in class `JEditorPaneMarkupProcessor`

    - #### addElements

          protected void addElements(java.util.List<javax.swing.text.Element> elements,
                         javax.swing.text.Element element)

    - #### getAttributes

          protected java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> getAttributes(javax.swing.text.AttributeSet attrSet)

      Overrides:
        `getAttributes` in class `JEditorPaneMarkupProcessor`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com